Bug 182245 - [patch] audio/alsa-lib, audio/alsa-plugins, audio/alsa-utils: update to 1.0.27.2
[patch] audio/alsa-lib, audio/alsa-plugins, audio/alsa-utils: update to 1.0.27.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 09:10 UTC by Jan Beich
Modified: 2013-10-03 17:40 UTC (History)
0 users

See Also:


Attachments
update.diff (15.13 KB, patch)
2013-09-20 09:10 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2013-09-20 09:10:00 UTC
http://www.alsa-project.org/main/index.php/Changes_v1.0.26_v1.0.27
http://www.alsa-project.org/main/index.php/Changes_v1.0.27_v1.0.27.1
http://www.alsa-project.org/main/index.php/Changes_v1.0.27.1_v1.0.27.2

other changes include:
- add PYTHON option to alsa-lib
- drop unresponsive mirrors and those that rarely catch up
- drop --disable-aload from alsa-lib, builds fine without
- drop USE_LDCONFIG from alsa-plugins, useless for dlopen'd plugins
- convert to new LIB_DEPENDS syntax and Makefile header
- convert PLIST_SUB to OPTIONS_SUB
- don't link alsa-utils against librt for clock_gettime(2)
- pass paths to configure relative to --prefix value
- install udev config(s) under PREFIX (for reference)
- cleanup /var/lib as it's not in default MTREE_FILE
- remove OSVERSION check for EOL releases
Comment 1 Edwin Groothuis freebsd_committer 2013-09-20 09:10:08 UTC
Maintainer of audio/alsa-lib,

Please note that PR ports/182245 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182245

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-20 09:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Florian Smeets freebsd_committer 2013-09-21 09:21:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take it.
Comment 4 dfilter freebsd_committer 2013-10-03 17:34:39 UTC
Author: flo
Date: Thu Oct  3 16:34:28 2013
New Revision: 329208
URL: http://svnweb.freebsd.org/changeset/ports/329208

Log:
  - update to 1.0.27.2 [1]
   -- add PYTHON option to alsa-lib
   -- drop unresponsive mirrors and those that rarely catch up
   -- drop --disable-aload from alsa-lib, builds fine without
   -- drop USE_LDCONFIG from alsa-plugins, useless for dlopen'd plugins
   -- convert to new LIB_DEPENDS syntax and Makefile header
   -- convert PLIST_SUB to OPTIONS_SUB
   -- don't link alsa-utils against librt for clock_gettime(2)
   -- pass paths to configure relative to --prefix value
   -- install udev config(s) under PREFIX (for reference)
   -- cleanup /var/lib as it's not in default MTREE_FILE
   -- remove OSVERSION check for EOL releases
  - allow staging
  
  PR:		ports/182245 [1]
  Submitted by:	Jan Beich <jbeich@tormail.org> [1]
  Approved by:	maintainer timeout

Modified:
  head/Mk/bsd.sites.mk
  head/audio/alsa-lib/Makefile
  head/audio/alsa-lib/distinfo
  head/audio/alsa-lib/files/patch-alsa-lib
  head/audio/alsa-lib/pkg-plist
  head/audio/alsa-plugins/Makefile
  head/audio/alsa-plugins/distinfo
  head/audio/alsa-plugins/pkg-plist
  head/audio/alsa-utils/Makefile
  head/audio/alsa-utils/distinfo
  head/audio/alsa-utils/files/patch-alsa-utils
  head/audio/alsa-utils/pkg-plist

Modified: head/Mk/bsd.sites.mk
==============================================================================
--- head/Mk/bsd.sites.mk	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/Mk/bsd.sites.mk	Thu Oct  3 16:34:28 2013	(r329208)
@@ -54,11 +54,6 @@ MASTER_SITE_AFTERSTEP+= \
 
 .if !defined(IGNORE_MASTER_SITE_ALSA)
 MASTER_SITE_ALSA+= \
-	ftp://ftp.silug.org/pub/alsa/%SUBDIR%/ \
-	ftp://ftp.task.gda.pl/pub/linux/misc/alsa/%SUBDIR%/ \
-	ftp://gd.tuwien.ac.at/opsys/linux/alsa/%SUBDIR%/ \
-	http://dl.ambiweb.de/mirrors/ftp.alsa-project.org/%SUBDIR%/ \
-	http://mirrors.zerg.biz/alsa/%SUBDIR%/ \
 	http://alsa.cybermirror.org/%SUBDIR%/ \
 	ftp://ftp.alsa-project.org/pub/%SUBDIR%/
 .endif

Modified: head/audio/alsa-lib/Makefile
==============================================================================
--- head/audio/alsa-lib/Makefile	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-lib/Makefile	Thu Oct  3 16:34:28 2013	(r329208)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	alsa-lib
-PORTVERSION=	1.0.26
+PORTVERSION=	1.0.27.2
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/lib \
 		GENTOO/distfiles
@@ -10,15 +10,25 @@ MASTER_SITES=	ALSA/lib \
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility library
 
-NO_STAGE=	yes
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=--disable-aload --disable-python \
-		--with-pkgconfdir="${PREFIX}/libdata/pkgconfig"
+CONFIGURE_ARGS=	--with-pkgconfdir="\$${prefix}/libdata/pkgconfig"
+
+OPTIONS_DEFINE=	PYTHON
+OPTIONS_SUB=	${OPTIONS_DEFINE}
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MPYTHON}
+USE_PYTHON=	-2.7
+.else
+CONFIGURE_ARGS+=--disable-python
+.endif
 
 post-patch:	.SILENT
 	${REINPLACE_CMD} -e '/LIBS/ { s/-ldl//g; s/-lrt//g; }' \
+		-e 's/python-config/${PYTHON_CMD:T}-config/g' \
 		-e '/-D_GNU_SOURCE/d' \
 		-e '/lt_cv_dlopen/s/-ldl//g' ${WRKSRC}/configure
 	${REINPLACE_CMD} '/LIBADD/s/-ldl//g' \
@@ -27,10 +37,10 @@ post-patch:	.SILENT
 		${WRKSRC}/src/conf/alsa.conf
 
 post-install:
-	${INSTALL_DATA} ${FILESDIR}/asound.conf.sample ${PREFIX}/etc
+	${INSTALL_DATA} ${FILESDIR}/asound.conf.sample ${STAGEDIR}${PREFIX}/etc
 	@if [ ! -f ${PREFIX}/etc/asound.conf ]; then \
-		${CP} -p ${PREFIX}/etc/asound.conf.sample \
-			${PREFIX}/etc/asound.conf ; \
+		${CP} -p ${STAGEDIR}${PREFIX}/etc/asound.conf.sample \
+			${STAGEDIR}${PREFIX}/etc/asound.conf ; \
 	fi
 
 .include <bsd.port.mk>

Modified: head/audio/alsa-lib/distinfo
==============================================================================
--- head/audio/alsa-lib/distinfo	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-lib/distinfo	Thu Oct  3 16:34:28 2013	(r329208)
@@ -1,2 +1,2 @@
-SHA256 (alsa-lib-1.0.26.tar.bz2) = 8c9f8161603cc3db640619650401292c3e110da63429ab6938aac763319f6e7d
-SIZE (alsa-lib-1.0.26.tar.bz2) = 883076
+SHA256 (alsa-lib-1.0.27.2.tar.bz2) = 690ed393e7efd4fc7e3a2d2cda5449298ca0c895197e5914e350882012430d19
+SIZE (alsa-lib-1.0.27.2.tar.bz2) = 906844

Modified: head/audio/alsa-lib/files/patch-alsa-lib
==============================================================================
--- head/audio/alsa-lib/files/patch-alsa-lib	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-lib/files/patch-alsa-lib	Thu Oct  3 16:34:28 2013	(r329208)
@@ -57,7 +57,7 @@
  	long		tv_usec;	/* microseconds */
 --- include/local.h.orig	2009-09-09 20:34:54.000000000 +0800
 +++ include/local.h	2009-09-15 00:26:08.000000000 +0800
-@@ -28,7 +28,11 @@
+@@ -28,11 +28,19 @@
  #include <string.h>
  #include <fcntl.h>
  #include <assert.h>
@@ -69,6 +69,14 @@
  #include <stdarg.h>
  #include <sys/poll.h>
  #include <errno.h>
++#ifdef __linux__
+ #include <linux/ioctl.h>
++#else
++#include <sys/ioctl.h>
++#endif
+ 
+ #include "config.h"
+ #ifdef SUPPORT_RESMGR
 --- include/search.h.orig	2009-09-09 20:34:54.000000000 +0800
 +++ include/search.h	2009-09-15 00:49:10.000000000 +0800
 @@ -20,7 +20,9 @@
@@ -102,9 +110,18 @@
  typedef __compar_fn_t comparison_fn_t;
 --- include/sound/asound.h.orig	2009-09-09 20:34:54.000000000 +0800
 +++ include/sound/asound.h	2009-09-15 00:44:37.000000000 +0800
-@@ -62,6 +62,33 @@
- #include <sys/ioctl.h>
- #endif
+@@ -23,9 +23,42 @@
+ #ifndef _UAPI__SOUND_ASOUND_H
+ #define _UAPI__SOUND_ASOUND_H
+ 
++#ifdef __linux__
+ #include <linux/types.h>
++#else
++#define __bitwise
++typedef uint32_t __u32;
++typedef int __kernel_pid_t;
++#endif
++
  
 +#ifdef __FreeBSD__
 +#define ESTRPIPE	0x7a69	/* Linux PCM suspend errno, fehh?! */
@@ -127,7 +144,7 @@
 +#define __cpu_to_le16(x) bswap_16(x)
 +#define __cpu_to_be16(x) (x)
 +#endif
-+
+ 
 +#define __le32_to_cpu __cpu_to_le32
 +#define __be32_to_cpu __cpu_to_be32
 +#define __le16_to_cpu __cpu_to_le16

Modified: head/audio/alsa-lib/pkg-plist
==============================================================================
--- head/audio/alsa-lib/pkg-plist	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-lib/pkg-plist	Thu Oct  3 16:34:28 2013	(r329208)
@@ -40,6 +40,8 @@ lib/alsa-lib/smixer/smixer-ac97.la
 lib/alsa-lib/smixer/smixer-ac97.so
 lib/alsa-lib/smixer/smixer-hda.la
 lib/alsa-lib/smixer/smixer-hda.so
+%%PYTHON%%lib/alsa-lib/smixer/smixer-python.la
+%%PYTHON%%lib/alsa-lib/smixer/smixer-python.so
 lib/alsa-lib/smixer/smixer-sbase.la
 lib/alsa-lib/smixer/smixer-sbase.so
 lib/libasound.la
@@ -125,9 +127,39 @@ share/alsa/pcm/surround51.conf
 share/alsa/pcm/surround71.conf
 share/alsa/smixer.conf
 share/alsa/sndo-mixer.alisp
+share/alsa/ucm/DAISY-I2S/DAISY-I2S.conf
+share/alsa/ucm/DAISY-I2S/HiFi.conf
+share/alsa/ucm/PandaBoard/FMAnalog
+share/alsa/ucm/PandaBoard/PandaBoard.conf
+share/alsa/ucm/PandaBoard/hifi
+share/alsa/ucm/PandaBoard/hifiLP
+share/alsa/ucm/PandaBoard/record
+share/alsa/ucm/PandaBoard/voice
+share/alsa/ucm/PandaBoard/voiceCall
+share/alsa/ucm/PandaBoardES/FMAnalog
+share/alsa/ucm/PandaBoardES/PandaBoardES.conf
+share/alsa/ucm/PandaBoardES/hifi
+share/alsa/ucm/PandaBoardES/hifiLP
+share/alsa/ucm/PandaBoardES/record
+share/alsa/ucm/PandaBoardES/voice
+share/alsa/ucm/PandaBoardES/voiceCall
+share/alsa/ucm/SDP4430/FMAnalog
+share/alsa/ucm/SDP4430/SDP4430.conf
+share/alsa/ucm/SDP4430/hifi
+share/alsa/ucm/SDP4430/hifiLP
+share/alsa/ucm/SDP4430/record
+share/alsa/ucm/SDP4430/voice
+share/alsa/ucm/SDP4430/voiceCall
+share/alsa/ucm/tegraalc5632/tegraalc5632.conf
 @unexec if cmp -s %D/etc/asound.conf.sample %D/etc/asound.conf; then rm -f %D/etc/asound.conf; else echo "If permanently deleting this package, %D/etc/asound.conf must be removed manually."; fi
 etc/asound.conf.sample
 @exec [ -f %B/asound.conf ] || cp -p %B/%f %B/asound.conf
+@dirrm share/alsa/ucm/PandaBoardES
+@dirrm share/alsa/ucm/SDP4430
+@dirrm share/alsa/ucm/DAISY-I2S
+@dirrm share/alsa/ucm/tegraalc5632
+@dirrm share/alsa/ucm/PandaBoard
+@dirrm share/alsa/ucm
 @dirrm share/alsa/pcm
 @dirrm share/alsa/cards/SI7018
 @dirrm share/alsa/cards

Modified: head/audio/alsa-plugins/Makefile
==============================================================================
--- head/audio/alsa-plugins/Makefile	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-plugins/Makefile	Thu Oct  3 16:34:28 2013	(r329208)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	alsa-plugins
-PORTVERSION=	1.0.26
+PORTVERSION=	1.0.27
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/plugins \
 		GENTOO/distfiles
@@ -10,21 +10,20 @@ MASTER_SITES=	ALSA/plugins \
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility library plugins
 
-LIB_DEPENDS=	asound:${PORTSDIR}/audio/alsa-lib
+LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
 
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
-NO_STAGE=	yes
 USES=		pkgconfig
 LDFLAGS+=	-L${LOCALBASE}/lib
-USE_LDCONFIG=	${PREFIX}/lib/alsa-lib
 
 OPTIONS_DEFINE=	ARIFF_OSS JACK FFMPEG PULSEAUDIO SAMPLERATE SPEEX
+OPTIONS_SUB=	${OPTIONS_DEFINE}
 ARIFF_OSS_DESC=	FreeBSD-specific OSS plugin
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MARIFF_OSS} || ${OSVERSION} < 800097
+.if ${PORT_OPTIONS:MARIFF_OSS}
 EXTRA_PATCHES+=	${FILESDIR}/alsa-plugins.patch
 .endif
 
@@ -32,46 +31,36 @@ EXTRA_PATCHES+=	${FILESDIR}/alsa-plugins
 .if empty(PORT_OPTIONS:MSAMPLERATE)
 IGNORE=			JACK audio support requires SAMPLERATE
 .endif
-LIB_DEPENDS+=		jack:${PORTSDIR}/audio/jack
-PLIST_SUB+=		JACK=""
+LIB_DEPENDS+=		libjack.so:${PORTSDIR}/audio/jack
 .else
-PLIST_SUB+=		JACK="@comment "
 CONFIGURE_ARGS+=	--disable-jack
 .endif
 
 .if ${PORT_OPTIONS:MFFMPEG}
 CONFIGURE_ARGS+=	--enable-avcodec
 CFLAGS+=		-I${LOCALBASE}/include
-LIB_DEPENDS+=		avcodec:${PORTSDIR}/multimedia/ffmpeg
-PLIST_SUB+=		LAVC=""
+LIB_DEPENDS+=		libavcodec.so:${PORTSDIR}/multimedia/ffmpeg
 .else
 CONFIGURE_ARGS+=	--disable-avcodec
-PLIST_SUB+=		LAVC="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPULSEAUDIO}
-LIB_DEPENDS+=		pulse:${PORTSDIR}/audio/pulseaudio
-PLIST_SUB+=		PULSE=""
+LIB_DEPENDS+=		libpulse.so:${PORTSDIR}/audio/pulseaudio
 .else
-PLIST_SUB+=		PULSE="@comment "
 CONFIGURE_ARGS+=	--disable-pulseaudio
 .endif
 
 .if ${PORT_OPTIONS:MSAMPLERATE}
-LIB_DEPENDS+=		samplerate:${PORTSDIR}/audio/libsamplerate
-PLIST_SUB+=		SAMPLERATE=""
+LIB_DEPENDS+=		libsamplerate.so:${PORTSDIR}/audio/libsamplerate
 .else
-PLIST_SUB+=		SAMPLERATE="@comment "
 CONFIGURE_ARGS+=	--disable-samplerate
 .endif
 
 .if ${PORT_OPTIONS:MSPEEX}
 CONFIGURE_ARGS+=	--with-speex=lib
-LIB_DEPENDS+=		speex:${PORTSDIR}/audio/speex
-PLIST_SUB+=		SPEEX=""
+LIB_DEPENDS+=		libspeex.so:${PORTSDIR}/audio/speex
 .else
 CONFIGURE_ARGS+=	--without-speex
-PLIST_SUB+=		SPEEX="@comment "
 .endif
 
 post-patch:	.SILENT

Modified: head/audio/alsa-plugins/distinfo
==============================================================================
--- head/audio/alsa-plugins/distinfo	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-plugins/distinfo	Thu Oct  3 16:34:28 2013	(r329208)
@@ -1,2 +1,2 @@
-SHA256 (alsa-plugins-1.0.26.tar.bz2) = 03515134d2009db4dfb2769e0ab0e1fb517c8140ffdfd64a984be968e81c9f1f
-SIZE (alsa-plugins-1.0.26.tar.bz2) = 361017
+SHA256 (alsa-plugins-1.0.27.tar.bz2) = 0bbd0c37c2dd7baf16363afb2e58169ffb0f9c0a70031b3b6235594630f3ab35
+SIZE (alsa-plugins-1.0.27.tar.bz2) = 363593

Modified: head/audio/alsa-plugins/pkg-plist
==============================================================================
--- head/audio/alsa-plugins/pkg-plist	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-plugins/pkg-plist	Thu Oct  3 16:34:28 2013	(r329208)
@@ -1,19 +1,19 @@
-%%PULSE%%lib/alsa-lib/libasound_module_conf_pulse.la
-%%PULSE%%lib/alsa-lib/libasound_module_conf_pulse.so
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_conf_pulse.la
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_conf_pulse.so
 lib/alsa-lib/libasound_module_ctl_arcam_av.la
 lib/alsa-lib/libasound_module_ctl_arcam_av.so
 lib/alsa-lib/libasound_module_ctl_oss.la
 lib/alsa-lib/libasound_module_ctl_oss.so
-%%PULSE%%lib/alsa-lib/libasound_module_ctl_pulse.la
-%%PULSE%%lib/alsa-lib/libasound_module_ctl_pulse.so
-%%LAVC%%lib/alsa-lib/libasound_module_pcm_a52.la
-%%LAVC%%lib/alsa-lib/libasound_module_pcm_a52.so
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_ctl_pulse.la
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_ctl_pulse.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_pcm_a52.la
+%%FFMPEG%%lib/alsa-lib/libasound_module_pcm_a52.so
 %%JACK%%lib/alsa-lib/libasound_module_pcm_jack.la
 %%JACK%%lib/alsa-lib/libasound_module_pcm_jack.so
 lib/alsa-lib/libasound_module_pcm_oss.la
 lib/alsa-lib/libasound_module_pcm_oss.so
-%%PULSE%%lib/alsa-lib/libasound_module_pcm_pulse.la
-%%PULSE%%lib/alsa-lib/libasound_module_pcm_pulse.so
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_pcm_pulse.la
+%%PULSEAUDIO%%lib/alsa-lib/libasound_module_pcm_pulse.so
 %%SPEEX%%lib/alsa-lib/libasound_module_pcm_speex.la
 %%SPEEX%%lib/alsa-lib/libasound_module_pcm_speex.so
 lib/alsa-lib/libasound_module_pcm_upmix.la
@@ -22,12 +22,12 @@ lib/alsa-lib/libasound_module_pcm_usb_st
 lib/alsa-lib/libasound_module_pcm_usb_stream.so
 lib/alsa-lib/libasound_module_pcm_vdownmix.la
 lib/alsa-lib/libasound_module_pcm_vdownmix.so
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate.la
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate.so
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate_fast.so
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate_faster.so
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate_high.so
-%%LAVC%%lib/alsa-lib/libasound_module_rate_lavcrate_higher.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate.la
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate_fast.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate_faster.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate_high.so
+%%FFMPEG%%lib/alsa-lib/libasound_module_rate_lavcrate_higher.so
 %%SAMPLERATE%%lib/alsa-lib/libasound_module_rate_samplerate.la
 %%SAMPLERATE%%lib/alsa-lib/libasound_module_rate_samplerate.so
 %%SAMPLERATE%%lib/alsa-lib/libasound_module_rate_samplerate_best.so
@@ -38,5 +38,5 @@ lib/alsa-lib/libasound_module_pcm_vdownm
 %%SPEEX%%lib/alsa-lib/libasound_module_rate_speexrate.so
 %%SPEEX%%lib/alsa-lib/libasound_module_rate_speexrate_best.so
 %%SPEEX%%lib/alsa-lib/libasound_module_rate_speexrate_medium.so
-%%PULSE%%share/alsa/alsa.conf.d/50-pulseaudio.conf
-%%PULSE%%share/alsa/alsa.conf.d/99-pulseaudio-default.conf.example
+%%PULSEAUDIO%%share/alsa/alsa.conf.d/50-pulseaudio.conf
+%%PULSEAUDIO%%share/alsa/alsa.conf.d/99-pulseaudio-default.conf.example

Modified: head/audio/alsa-utils/Makefile
==============================================================================
--- head/audio/alsa-utils/Makefile	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-utils/Makefile	Thu Oct  3 16:34:28 2013	(r329208)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	alsa-utils
-PORTVERSION=	1.0.26
+PORTVERSION=	1.0.27.2
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/utils \
 		GENTOO/distfiles
@@ -10,21 +10,15 @@ MASTER_SITES=	ALSA/utils \
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility utils
 
-LIB_DEPENDS=	asound:${PORTSDIR}/audio/alsa-lib
+LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 
 USE_BZIP2=	yes
-NO_STAGE=	yes
 USES=		gmake
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-udev-rules-dir="\$${prefix}/lib/udev"
 CFLAGS+=	-I${LOCALBASE}/include
 
-MAN1_EN=	aconnect.1 alsactl.1 alsaloop.1 alsamixer.1 amidi.1 amixer.1 aplay.1 aplaymidi.1 \
-		arecordmidi.1 aseqdump.1 aseqnet.1 iecset.1 speaker-test.1
-MAN8=		alsaconf.8
-MLINKS=		aplay.1 arecord.1
-_MANPAGES+=	${PREFIX}/man/fr/man8/${MAN8}
-
 OPTIONS_DEFINE=	XMLTO NLS
 OPTIONS_DEFAULT=XMLTO
 XMLTO_DESC=	Generate alsactl_init(7) man page using xmlto(1)
@@ -49,10 +43,8 @@ PLIST_SUB+=	NLS=""
 .endif
 
 post-patch:	.SILENT
-	${REINPLACE_CMD} '/LIBS/s/-ldl//g' ${WRKSRC}/configure
-	${REINPLACE_CMD} -e '/install-data-am:/,/^$$/ \
-		s/install-dist_udevrulesDATA//' \
-		${WRKSRC}/alsactl/Makefile.in
+	${REINPLACE_CMD} -e '/LIBS/s/-ldl//g; /LIBRT/s/-lrt//g;' \
+		${WRKSRC}/configure
 	${FIND} -E ${WRKSRC} -type f -regex \
 		'.*\.([[:digit:]]|spec\.in|csv|xml)' -exec \
 		${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' \

Modified: head/audio/alsa-utils/distinfo
==============================================================================
--- head/audio/alsa-utils/distinfo	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-utils/distinfo	Thu Oct  3 16:34:28 2013	(r329208)
@@ -1,2 +1,2 @@
-SHA256 (alsa-utils-1.0.26.tar.bz2) = f85f2a3aa6e78475bbe35b0cad3a8cabb99f45ebc5f37962f2137b8df8b081e7
-SIZE (alsa-utils-1.0.26.tar.bz2) = 1134474
+SHA256 (alsa-utils-1.0.27.2.tar.bz2) = 02bfac39092f3b68d743c23ad3d688d6c5aa8df69f2ccd692c5b8282edb352ea
+SIZE (alsa-utils-1.0.27.2.tar.bz2) = 1143802

Modified: head/audio/alsa-utils/files/patch-alsa-utils
==============================================================================
--- head/audio/alsa-utils/files/patch-alsa-utils	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-utils/files/patch-alsa-utils	Thu Oct  3 16:34:28 2013	(r329208)
@@ -131,6 +131,6 @@
 +#ifndef __FreeBSD__
  #include <byteswap.h>
 +#endif
+ #include <signal.h>
  
  #define ALSA_PCM_NEW_HW_PARAMS_API
- #define ALSA_PCM_NEW_SW_PARAMS_API

Modified: head/audio/alsa-utils/pkg-plist
==============================================================================
--- head/audio/alsa-utils/pkg-plist	Thu Oct  3 16:20:13 2013	(r329207)
+++ head/audio/alsa-utils/pkg-plist	Thu Oct  3 16:34:28 2013	(r329208)
@@ -1,3 +1,4 @@
+@exec mkdir -p /var/lib/alsa
 bin/aconnect
 bin/alsaloop
 bin/alsamixer
@@ -12,9 +13,28 @@ bin/aseqdump
 bin/aseqnet
 bin/iecset
 bin/speaker-test
+lib/udev/90-alsa-restore.rules
+man/fr/man8/alsaconf.8.gz
+man/man1/aconnect.1.gz
+man/man1/alsactl.1.gz
+man/man1/alsaloop.1.gz
+man/man1/alsamixer.1.gz
+man/man1/amidi.1.gz
+man/man1/amixer.1.gz
+man/man1/aplay.1.gz
+man/man1/aplaymidi.1.gz
+man/man1/arecord.1.gz
+man/man1/arecordmidi.1.gz
+man/man1/aseqdump.1.gz
+man/man1/aseqnet.1.gz
+man/man1/iecset.1.gz
+man/man1/speaker-test.1.gz
+man/man7/alsactl_init.7.gz
+man/man8/alsaconf.8.gz
 sbin/alsaconf
 sbin/alsactl
 share/alsa/init/00main
+share/alsa/init/ca0106
 share/alsa/init/default
 share/alsa/init/hda
 share/alsa/init/help
@@ -42,5 +62,7 @@ share/sounds/alsa/Side_Right.wav
 @dirrmtry share/alsa/speaker-test
 @dirrmtry share/alsa/init
 @dirrmtry share/alsa
+@dirrmtry lib/udev
 @cwd /var
 @dirrmtry lib/alsa
+@dirrmtry lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2013-10-03 17:35:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!